<!-- <md-progress-linear md-mode="indeterminate"></md-progress-linear> -->
<div>
    <div ng-if="action == 2">
        <md-toolbar class="md-hue-2">
            <div class="md-toolbar-tools">
                <md-button class="md-icon-button" aria-label="Settings" ng-disabled="true">
                    <i class="ri-save-3-fill"></i>
                  </md-button>
      
              <h2 flex md-truncate>Add/Update</h2>
      
              <md-button class="md-icon-button" aria-label="save"  ng-click="add_user($event)">
                <i class="ri-save-line"></i>
                <md-tooltip md-direction="buttom">save </md-tooltip>
              </md-button>
      
              <!-- <md-button class="md-icon-button" aria-label="More">
                <i class="ri-search-eye-fill"></i>
              </md-button> -->
            </div>
          </md-toolbar>

        <!-- <h1> User Login</h1> -->
        <div class="row">
            <div class="col-lg-2 col-sm-2 col">
                <md-input-container class="md-icon-float md-block">
                    <label>Name</label>
                    <md-icon class="name" class="ri-user-line"> <i class="ri-user-line"></i>
                    </md-icon>
                    <input ng-model="user.user_name" type="text " ng-required="true">
                </md-input-container>
            </div>
            <div class="col-lg-2 col-sm-2 col">
                <md-input-container md-no-float class="md-block">
                    <md-icon><i class="ri-phone-line"></i></md-icon>
                    <input ng-model="user.phone" type="number" placeholder="Phone Number " minlength="10"
                        md-maxlength="10" ng-required="true">
                </md-input-container>
            </div>
            <div class="col-lg-4 col-sm-4 col-6">
                <md-input-container class="md-block">
                    <!-- Use floating placeholder instead of label -->
                    <md-icon class="email"><i class="ri-mail-line"></i></md-icon>
                    <input ng-model="user.email" type="email" placeholder="Email " ng-required="true">
                </md-input-container>
            </div>

            <div class="col ">
                <md-input-container md-no-float class="md-block">
                    <input ng-model="user.address" type="text" placeholder="Address">
                    <md-icon><i class="ri-map-pin-user-line"></i></md-icon>
                </md-input-container>
            </div>

        </div>

        <div class="row">
            <div class="col">
                <md-input-container md-no-float class="md-block">
                    <input ng-model="user.state" type="text" placeholder="state">
                </md-input-container>
            </div>
            <div class="col">
                <md-input-container md-no-float class="md-block">
                    <input ng-model="user.city" type="text" placeholder="city">
                </md-input-container>
            </div>
            <div class="col">
                <md-input-container md-no-float class="md-block">
                    <input ng-model="user.pincode" type="number" md-maxlength="6" placeholder="pincode">
                </md-input-container>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <md-input-container md-no-float class="md-block">
                    <input ng-model="user.username" type="text" placeholder="username" ng-required="true">
                </md-input-container>
            </div>
            <div class="col">
                <md-input-container md-no-float class="md-block">
                    <input ng-model="user.password" type="password" placeholder="password" ng-required="true">
                </md-input-container>
            </div>
        </div>
        <!-- <md-button aria-label="" text="cick" class="md-button">submit</md-button> -->
    </div>
    <div ng-if="action!=2">
        <div class="row" ng-if="searchView==2">
            <md-toolbar class="md-hue-2">
                <div class="md-toolbar-tools">
                    <md-button class="md-icon-button" aria-label="Search">
                        <i class="ri-search-line"></i>
                        <md-tooltip md-direction="buttom">Search</md-tooltip>
                      </md-button>
          
                  <h2 flex md-truncate>Search</h2>
          
                  <md-button class="md-icon-button" aria-label="Favorite">
                    <i class="ri-eraser-fill"></i>
                  </md-button>
          
                  <!-- <md-button class="md-icon-button" aria-label="More">
                    <i class="ri-search-eye-fill"></i>
                  </md-button> -->
                </div>
              </md-toolbar>
            <div class="col-lg-2 col-sm-2 col">
                <md-input-container class="md-icon-float md-block">
                    <label>Name</label>
                    <md-icon class="name" class="ri-user-line"> <i class="ri-user-line"></i>
                    </md-icon>
                    <input ng-model="search.user_name" type="text ">
                </md-input-container>
            </div>
            <div class="col-lg-2 col-sm-2 col">
                <md-input-container md-no-float class="md-block">
                    <md-icon><i class="ri-phone-line"></i></md-icon>
                    <input ng-model="search.user_mobile" type="number" placeholder="Phone Number " minlength="10"
                        md-maxlength="10">
                </md-input-container>
            </div>
            <div class="col-lg-4 col-sm-4 col-6">
                <md-input-container class="md-block">
                    <!-- Use floating placeholder instead of label -->
                    <md-icon class="email"><i class="ri-mail-line"></i></md-icon>
                    <input ng-model="search.email" type="email" placeholder="Email ">
                </md-input-container>
            </div>

            <div class="col ">
                <md-input-container md-no-float class="md-block">
                    <input ng-model="search.address" type="text" placeholder="Address">
                    <md-icon><i class="ri-map-pin-user-line"></i></md-icon>
                </md-input-container>
            </div>
        </div>
        <br />

        <!-- <h3>{{users}}</h3> -->


        <table class="table" ng-if="viewType==1">
            <thead>
                <tr>
                    <th> Sr No.</th>
                    <th> User</th>
                    <th> Contact</th>
                    <th> Address</th>
                    <th> Action</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="(m,x) in users | filter:{ user_name: search.user_name }">
                    <td>{{m+1}}</td>
                    <td>
                        {{x.user_name}}<br />
                        {{x.user_username}}
                    </td>
                    <td>{{x.user_mobile}} {{x.user_email}}</td>
                    <td>{{x.user_city}}, {{x.user_state}}, {{x.pincode}}</td>


                    <td>
                        <md-button class="md-fab md-mini md-primary" aria-label="Use Android"
                            ng-href="{{BaseUrl}}#!user?user_id={{x.user_id}}">
                            <md-tooltip md-direction="buttom">Edit</md-tooltip>
                            <i class="ri-pencil-line"></i>
                        </md-button>
                        <md-button class="md-fab md-mini md-primary" aria-label="Use Android"
                        ng-href="{{BaseUrl}}#!user?user_id={{x.user_id}}">
                        <md-tooltip md-direction="buttom">Edit</md-tooltip>
                        <i class="ri-delete-bin-line"></i>                    </md-button>

                    </td>
                </tr>
            </tbody>
        </table>

        <div class="row" ng-if="viewType==2">
            <div class="col-md-3" ng-repeat="(m,x) in users | filter:{ user_name: search.user_name }">
                <div class="card">
                    <img class="card-img-top" src="https://via.placeholder.com/150x100?text=Tork" alt="Card image cap">
                    <div class="card-body">
                        <h5 class="card-title">{{x.user_name}}</h5>
                        <p class="card-text">Mobile no: {{x.user_mobile}}.
                            <br /> Email:-{{x.user_email}}
                            <br />Address:{{}}
                            <br />state:-{{x.user_state}}
                            city:-{{x.user_city}}
                        </p>
                        <a href="#" class="btn btn-primary">Go somewhere</a>
                    </div>
                </div>
            </div>
        </div>

        <div ng-if="viewType==3">
            ng-repeat="(m,x) in users | filter:{ user_name: search.user_name, user_mobile: search.user_mobile } | filter:{user_mobile:search.user_mobile}">
                        <div class="row">
                <div class="col-md-2 col-md-2">
                    <img class="card-img-top" src="https://via.placeholder.com/80x80?text=Tork" alt="Card image cap">
                </div>
                <div class="col-md-9">
                    <div class="card-body">
                        <h5 class="card-title">{{x.user_name}}</h5>
                        <p class="card-text">
                            Mobile no: {{x.user_mobile}}.
                            <br />Email:-{{x.user_email}}
                            <br />Address:{{}}
                            <br />state:-{{x.user_state}}
                            city:-{{x.user_city}}
                        </p>
                        <a href="#" class="btn btn-primary">Go somewhere</a>
                    </div>
                </div>
            </div>
            <br />
        </div> 
    </div>
</div>